Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.description
Class ParameterDesc

    java.lang.Object
      |
      +--org.apache.axis.description.ParameterDesc

All Implemented Interfaces:
  java.io.Serializable

public class ParameterDesc
extends java.lang.Object
implements java.io.Serializable

A Parameter descriptor, collecting the interesting info about an operation parameter. (mostly taken from org.apache.axis.wsdl.toJava.Parameter right now)

Author:
  Glen Daniels (gdaniels@apache.org)
See Also:
  Serialized Form

Field Summary
`static byte` | `IN`
`static byte` | `INOUT`
`byte` | `mode` The Parameter mode (in, out, inout)
`static byte` | `OUT`
`TypeEntry` | `typeEntry` A TypeEntry corresponding to this parameter

Constructor Summary
`ParameterDesc()`
`ParameterDesc(ParameterDesc copy)` Constructor-copy
`ParameterDesc(QName name, byte mode, QName typeQName)` Constructor
`ParameterDesc(QName name, byte mode, QName typeQName, java.lang.Class javaType)` "Complete" constructor, suitable for usage in skeleton code

Method Summary
`boolean` | `getIsReturn()` Indicates ParameterDesc represents return of OperationDesc
`java.lang.Class` | `getJavaType()` Get the java type (note that this is javaType in the signature.)
`byte` | `getMode()`
`static java.lang.String` | `getModeAsString(byte mode)`
`java.lang.String` | `getName()`
`int` | `getOrder()`
`QName` | `getQName()`
`QName` | `getTypeQName()`
`static byte` | `modeFromString(java.lang.String modeStr)` Get a mode constant from a string.
`void` | `setIsReturn(boolean value)` Set to true to indicate return parameter of OperationDesc
`void` | `setJavaType(java.lang.Class javaType)` Set the java type (note that this is javaType in the signature.)
`void` | `setMode(byte mode)`
`void` | `setName(java.lang.String name)`
`void` | `setOrder(int order)`
`void` | `setQName(QName name)`
`void` | `setTypeQName(QName typeQName)`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(java.lang.String indent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IN

    public static final byte IN

### OUT

    public static final byte OUT

### INOUT

    public static final byte INOUT

### typeEntry

    public TypeEntry typeEntry

  A TypeEntry corresponding to this parameter

### mode

    public byte mode

  The Parameter mode (in, out, inout)

Constructor Detail

### ParameterDesc

    public ParameterDesc()

### ParameterDesc

    public ParameterDesc(ParameterDesc copy)

  Constructor-copy
  Parameters:
    `copy` - the copy

### ParameterDesc

    public ParameterDesc(QName name,
                         byte mode,
                         QName typeQName)

  Constructor
  Parameters:
    `name` - the parameter's fully qualified XML name
    `mode` - IN, OUT, INOUT
    `typeQName` - the parameter's XML type QName

### ParameterDesc

    public ParameterDesc(QName name,
                         byte mode,
                         QName typeQName,
                         java.lang.Class javaType)

  "Complete" constructor, suitable for usage in skeleton code
  Parameters:
    `name` - the parameter's fully qualified XML name
    `mode` - IN, OUT, INOUT
    `typeQName` - the parameter's XML type QName
    `javaType` - the parameter's javaType

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toString

    public java.lang.String toString(java.lang.String indent)

### modeFromString

    public static byte modeFromString(java.lang.String modeStr)

  Get a mode constant from a string. Defaults to IN, and returns OUT or INOUT if the string matches (ignoring case).

### getModeAsString

    public static java.lang.String getModeAsString(byte mode)

### getQName

    public QName getQName()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### setQName

    public void setQName(QName name)

### getTypeQName

    public QName getTypeQName()

### setTypeQName

    public void setTypeQName(QName typeQName)

### getJavaType

    public java.lang.Class getJavaType()

  Get the java type (note that this is javaType in the signature.)
  Returns:
    Class javaType

### setJavaType

    public void setJavaType(java.lang.Class javaType)

  Set the java type (note that this is javaType in the signature.)
  Returns:
    Class javaType

### getMode

    public byte getMode()

### setMode

    public void setMode(byte mode)

### getOrder

    public int getOrder()

### setOrder

    public void setOrder(int order)

### getIsReturn

    public boolean getIsReturn()

  Indicates ParameterDesc represents return of OperationDesc
  Returns:
    true if return parameter of OperationDesc

### setIsReturn

    public void setIsReturn(boolean value)

  Set to true to indicate return parameter of OperationDesc
  Parameters:
    `value` - boolean that indicates if return parameter of OperationDesc

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.